package jesse.keeblarcraft.Utils.CommonStructures;

public class Pair<KEY, VALUE> {
    KEY key;
    VALUE value;
    public Pair(KEY key, VALUE val) {
        this.key = key;
        this.value = val;
    }

    public KEY GetKey() {
        return key;
    }

    public VALUE GetValue() {
        return value;
    }

    public void SetKey(KEY newKey) {
        this.key = newKey;
    }

    public void SetValue(VALUE newValue) {
        this.value = newValue;
    }
}
